MAKEACTIVE(8)

NAME
makeactive - tool to recover Usenet active file.

SYNOPSIS
makeactive [ -m ] [ -o ]

DESCRIPTION
Makeactive invokes find(1) to get a list of all directories in the news spool tree, <patharticles in inn.conf>. It discards directories named lost+found as well as those that have a period in them. It scans all other directories for all-numeric filenames and determines the highest and lowest number. If you have turned on the storage manager with the 'storageapi' in inn.conf(5), makeactive reads .overview.index to determine the highest and lowest number. The program's output is a set of active(5) file lines. Because there is no way to know if a group is moderated or disabled, the fourth field of all entries will be y. Also, mid-level directories that aren't newsgroups will also created as newsgroups with no entries (for example, there is a ``comp.sources.unix'' group, but no ``comp.sources'').

OPTIONS

-m  If the ``-m'' flag is given, then makeactive will attempt to adjust the highest and lowest article numbers wherever possible. If articles are found in a newsgroup, the numbers will reflect what what was found. If no articles are found in a newsgroup, the high number from the old file will be kept, and the low number will be set to one more then the high number. This flag may only be used if the ``-o'' flag is used.

-o  If the ``-o'' flag is used, makeactive will read an existing active file for the list of group names and just renumber all groups. It will preserve the fourth field of the active file if one is present. This is analogous to the ctlinnd(8) ``renumber'' command, except that innd(8) should throttled or not running. Do not use this flag with output redirected to the standard active file!

EXIT STATUS

Makeactive exits with non-zero status if any problems occurred.

EXAMPLES

A typical way to use the program is with the following /bin/sh commands:
    ctlinnd throttle "Rebuilding active file"
    TEMP=${TMPDIR-<PATH specified with --with-tmp-path at configure>}/act$$
    if [ -f <pathdb in inn.conf>/active ] ; then
        if makeactive -o >${TEMP} ; then
            mv ${TEMP} <pathdb in inn.conf>/active
        fi
    else
        if makeactive >${TEMP} ; then
            # Edit to restore moderated
            # and aliased groups.
            ...
            mv ${TEMP} <pathdb in inn.conf>/active
        fi
    fi
    ctlinnd reload active "New active file"
    ctlinnd go ''

HISTORY
Written by Rich $alz <rsalz@uunet.uu.net> for InterNetNews.

SEE ALSO
active(5), ctlinnd(8), dbz(3), filechan(8), history(5), inn.conf(5), innd(8), newsfeeds(5), makehistory(8), newsrequeue(8).